﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TabsStudioSQLComment
{
    /// <summary>
    /// Interaction logic for SettingsDialog.xaml
    /// </summary>
    public partial class OptionsDialog
    {
        public OptionsDialog(Options options_)
        {
            options = options_;
            InitializeComponent();
            textBox1.Text = options.commentRegex;
            textBox2.Text = options.tabNameFilter;
            textBox3.Text = options.transformPattern;
            textBox4.Text = options.transformReplacement;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            options.commentRegex = textBox1.Text;
            options.tabNameFilter = textBox2.Text;
            options.transformPattern = textBox3.Text;
            options.transformReplacement = textBox4.Text;
            DialogResult = true;
        }

        private Options options;
    }
}
